#include <stdio.h>
#include "tt.h"

int
tfp_cb(const char *key, const char *str)
{
  printf("tfp_cbf(%s, %s)\n", key, str);
  return 0;
}

int
main(int argc, char **argv)
{
  struct text_trie *tt;
  char buf[20];
  /**/
  tt = trie_open("hoge");
  trie_add(tt, "a", "a");
  trie_add(tt, "ab", "a");
  trie_add(tt, "aa", "a");
  trie_add(tt, "longword", "long long definition");
  trie_add(tt, "long", "long long definition");
  trie_add(tt, "longlongword", "long long definition");
  trie_add(tt, "longlonglongword", "definition");
  /**/
  trie_find_prefix(tt, "longlonglongword", buf, 20, tfp_cb);
  /**/
  trie_print_array(tt);
  trie_close(tt);
  return 0;
}
