/* string table */
#include <stdlib.h>
#include <string.h>
#include "da.h"

struct string {
  char *str;
  struct string *next;
};

struct string_table {
  int nr_strs;
  struct string head;
};

struct string_table *
string_table_new()
{
  struct string_table *st = malloc(sizeof(struct string_table));
  st->nr_strs = 0;
  st->head.next = NULL;
  return st;
}

void
string_table_add(struct string_table *st, char *str)
{
  struct string *s = malloc(sizeof(struct string));
  s->str = strdup(str);
  s->next = st->head.next;
  st->head.next = s;
}
